> ## Documentation Index
> Fetch the complete documentation index at: https://docs-vnext.kiflo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List partner applications

> List partner applications and filter them.



## OpenAPI

````yaml /openapi.json get /v3/partner-applications
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/partner-applications:
    get:
      tags:
        - PartnerApplications
      summary: List partner applications
      description: List partner applications and filter them.
      parameters:
        - name: status
          in: query
          description: The list of status to filter partner applications.
          schema:
            type: array
            items:
              $ref: '#/components/schemas/PartnerApplicationStatus'
        - name: partner_name
          in: query
          description: Filter by partner name
          schema:
            type: string
        - name: partner_id
          in: query
          description: Filter by partner id
          schema:
            type: integer
            format: int32
        - name: partner_email
          in: query
          description: Filter by partner email
          schema:
            type: string
        - name: offset
          in: query
          description: >-
            The cursor used in pagination. This is the index of the first
            transaction to be returned.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: >-
            The maximum number of transactions to be returned. The default is
            20.
          schema:
            type: integer
            format: int32
        - name: sort_by
          in: query
          description: >-
            The property used to sort partner applications by. The default is
            ApplicationDate.
          schema:
            type: string
            example: CreationDate
          example: CreationDate
        - name: order_by
          in: query
          description: >-
            The sorting direction for the returned partner applications.
            Accepted values: ASC, DESC. The default is DESC.
          schema:
            type: string
      responses:
        '200':
          description: Partner Applications returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PartnerApplicationListResponseDto'
      security:
        - oauth2:
            - Api
components:
  schemas:
    PartnerApplicationStatus:
      enum:
        - Unknown
        - Pending
        - Accepted
        - Rejected
      type: string
    PartnerApplicationListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/PartnerApplicationDto'
          nullable: true
      additionalProperties: false
    PartnerApplicationDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        partnerId:
          type: integer
          format: int32
        partnerProgramId:
          type: integer
          format: int32
        partnerProgramLevelId:
          type: integer
          format: int32
        status:
          $ref: '#/components/schemas/PartnerApplicationStatus'
        applicationDate:
          type: string
          format: date-time
        acceptedDate:
          type: string
          format: date-time
          nullable: true
        rejectedDate:
          type: string
          format: date-time
          nullable: true
        partnerName:
          type: string
          nullable: true
        teamMemberEmail:
          type: string
          nullable: true
      additionalProperties: false

````